#include "Mix/Tool/Win32/Core/Graphics/DeviceObject.h"
#include "Mix/Tool/Win32/Core/Graphics/Manager.h"

namespace Mix{ namespace Tool{ namespace Win32{ namespace Graphics{

DeviceObject::DeviceObject( void )
{
	Mix::Tool::Win32::Graphics::Manager* pManager = Manager::GetInstance();
	if( pManager != NULL )
	{
		pManager->AddDeviceObject( this );
	}
}

DeviceObject::~DeviceObject( void )
{
	Mix::Tool::Win32::Graphics::Manager* pManager = Manager::GetInstance();
	if( pManager != NULL )
	{
		pManager->RemoveDeviceObject( this );
	}
}

void DeviceObject::OnInvalidate( void )
{
}

void DeviceObject::OnValidate( void )
{
}

Mix::Tool::Win32::Object::TYPE DeviceObject::GetType( void ) const
{
	return Mix::Tool::Win32::Object::GRAPHICS__DEVICE_OBJECT;
}

}}}}
